> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siray.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Text Embedding 3 Small



## OpenAPI

````yaml openapi-spec/text-embedding-3-small.json POST /v1/embeddings
openapi: 3.1.0
info:
  description: >-
    OpenAI Text Embedding 3 Small is a lightweight, cost-efficient embedding
    model designed for fast semantic understanding, similarity search, and text
    clustering at scale.
  summary: API for Text Embedding 3 Small model
  title: Text Embedding 3 Small API
  version: 1.0.0
servers:
  - description: Model Verse API Server
    url: https://api.siray.ai
security: []
tags:
  - description: >-
      Text Embedding 3 Small - OpenAI Text Embedding 3 Small is a lightweight,
      cost-efficient embedding model designed for fast semantic understanding,
      similarity search, and text clustering at scale.
    name: Text Embedding 3 Small
paths:
  /v1/embeddings:
    post:
      tags:
        - Text Embedding 3 Small
      summary: Create embedding
      description: Generate embeddings using the Text Embedding 3 Small model
      operationId: token_model-erzv40mpavm9anby
      requestBody:
        content:
          application/json:
            example:
              dimensions: 1
              encoding_format: float
              input: null
              model: openai/text-embedding-3-small
            schema:
              description: OpenAI-compatible embeddings API request format
              properties:
                dimensions:
                  description: >-
                    The number of dimensions the resulting output embeddings
                    should have. Only supported in some models.
                  minimum: 1
                  type: integer
                encoding_format:
                  default: float
                  description: The format to return the embeddings in
                  enum:
                    - float
                    - base64
                  type: string
                input:
                  description: The input text to embed, either a string or array of strings
                  oneOf:
                    - description: A single text string to embed
                      type: string
                    - description: An array of text strings to embed
                      items:
                        type: string
                      minItems: 1
                      type: array
                model:
                  description: Model name to use for the request
                  enum:
                    - openai/text-embedding-3-small
                  type: string
              required:
                - model
                - input
              title: Embeddings Request
              type: object
        description: Request payload
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmbeddingResponse'
          description: Successful response
      security:
        - bearerAuth: []
components:
  schemas:
    EmbeddingResponse:
      description: Embeddings API response
      properties:
        data:
          description: List of embedding objects
          items:
            $ref: '#/components/schemas/EmbeddingObject'
          type: array
        model:
          description: The model used for embeddings
          type: string
        object:
          description: Object type, always 'list'
          enum:
            - list
          type: string
        usage:
          $ref: '#/components/schemas/EmbeddingUsage'
      required:
        - object
        - data
        - model
        - usage
      type: object
    EmbeddingObject:
      description: Individual embedding object
      properties:
        embedding:
          description: The embedding vector
          items:
            type: number
          type: array
        index:
          description: The index of the embedding in the list
          type: integer
        object:
          description: Object type, always 'embedding'
          enum:
            - embedding
          type: string
      required:
        - object
        - embedding
        - index
      type: object
    EmbeddingUsage:
      description: Usage information for the embeddings request
      properties:
        completion_tokens:
          description: Number of tokens in the completion
          type: integer
        completion_tokens_details:
          $ref: '#/components/schemas/CompletionTokensDetails'
        input_tokens:
          description: Number of input tokens
          type: integer
        input_tokens_details:
          oneOf:
            - $ref: '#/components/schemas/TokensDetails'
            - type: 'null'
        output_tokens:
          description: Number of output tokens
          type: integer
        prompt_tokens:
          description: Number of tokens in the prompt
          type: integer
        prompt_tokens_details:
          $ref: '#/components/schemas/TokensDetails'
        total_tokens:
          description: Total number of tokens used
          type: integer
      required:
        - prompt_tokens
        - total_tokens
      type: object
    CompletionTokensDetails:
      description: Detailed completion token usage information
      properties:
        audio_tokens:
          description: Number of audio tokens in completion
          type: integer
        reasoning_tokens:
          description: Number of reasoning tokens in completion
          type: integer
        text_tokens:
          description: Number of text tokens in completion
          type: integer
      type: object
    TokensDetails:
      description: Detailed token usage information
      properties:
        audio_tokens:
          description: Number of audio tokens
          type: integer
        cached_tokens:
          description: Number of cached tokens
          type: integer
        image_tokens:
          description: Number of image tokens
          type: integer
        text_tokens:
          description: Number of text tokens
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: API Key
      description: Bearer authentication using API key
      scheme: bearer
      type: http

````